Download it now!
Bug 63140 - : Chart Function: Secondary Axis Series Alignment problem
Summary: : Chart Function: Secondary Axis Series Alignment problem
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-04 23:52 UTC by vaditus
Modified: 2015-05-06 14:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The attached is the Calc spreadsheet with the result of the Bug, when after adding additional data raw one of the data series loose its alignment with the secondary Y-axis and the loss of the Single Data labels. (15.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-04 23:52 UTC, vaditus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vaditus 2013-04-04 23:52:24 UTC
Created attachment 77455 [details]
The attached is the Calc spreadsheet with the result of the Bug, when after adding additional data raw one of the data series loose its alignment with the secondary Y-axis and the loss of the Single Data labels.

Problem description: 

Steps to reproduce:
1. Open a blank Calc spreadsheet.
2. A1=A; B1=B; C1=Z; D1=C.
3. Column A = A2 through A15 = aaa through aao.
4. Column B = B2 through B15 = -1001 through -1015.
5. Column C = C2 through C15 = random numbers (not part of the chart).
6. Column D = D2 through D15 = 0.1 through 1.5.
7. Create Chart Type: Points and Lines.
8. Click on the chart and crate Secondary Y-Axis.
9. Click on Series C (Column D), choose: Align data series to Secondary Y Axis.
10. Highlight one of the data points of each data series, choose: Insert Single Data Label.
11. Click on the Chart field, choose Data Ranges.
12. Change the Data Ranges by replacing $B$15 by $B$16 and $D$15 by $D$16.
13. Bug: Data Series C lost its alignment with the Secondary Axis Y and the Single Data labels on one or both Data Series disappeared. 

Current behavior:Bug: Data Series C lost its alignment with the Secondary Axis Y and the Single Data labels on one or both Data Series disappeared. 

Expected behavior: Data Series should retain its alignment with the Secondary Axis Y after the Data Range manipulation and Single Data labels on one or both Data Series should not disappeare. 

              
Operating System: Mac OS X
Version: 4.0.2.2 release
Comment 1 A (Andy) 2013-04-06 09:35:13 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
but with the following changes:
Step 3-6: A16-D16 instead of A15-D15
Step 10: menu INSERT -> DATA LABLE -> SHOW VALUE AS NUMBER
Step 12: replace B16 by B15 and D16 by D15

Result: 
Data series C lost its alignment to the secondary y axis and its data labels.

@Markus: Could this maybe be something for you?
Comment 2 QA Administrators 2015-03-04 02:23:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 3 Luke 2015-03-26 21:51:26 UTC
I cannot reproduce this bug with LO 4.5. Can you please attach the result of saving after steps 1-12 along with very precise instructions for step 13. There may be a slight difference in how I'm creating the chart and how you did that's preventing the bug from showing up for me.
Comment 4 QA Administrators 2015-05-06 14:22:05 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team